For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETlist phone numbers
      • POSTprovision a phone number into inventory from a Voip Carrier
      • GETretrieve phone number
      • PUTupdate phone number
      • DELdelete a phone number
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementPhone Numbers

retrieve phone number

GET
https://api.jambonz.cloud/v1/PhoneNumbers/:PhoneNumberSid
GET
/v1/PhoneNumbers/:PhoneNumberSid
$curl https://api.jambonz.cloud/v1/PhoneNumbers/PhoneNumberSid \
> -H "Authorization: Bearer <token>"
1{
2 "phone_number_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
3 "number": "+14155552671",
4 "voip_carrier_sid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
5 "account_sid": "1c9e6679-7425-40de-944b-e07fc1f90b12",
6 "application_sid": "2d9e6679-7425-40de-944b-e07fc1f90b34"
7}
Was this page helpful?
Previous

update phone number

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

PhoneNumberSidstringRequired

Response

phone number found
phone_number_sidstringformat: "uuid"
numberstring
voip_carrier_sidstringformat: "uuid"
account_sidstringformat: "uuid"
application_sidstringformat: "uuid"

Errors

404
Not Found Error
500
Internal Server Error